[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParam.AssignToField

Assign parameter value to field

## Declaration

Source position: db.pas line 1177

`public procedure TParam.AssignToField(`
`Field: TField`
`);`

## Arguments

`Field` |  | Field instance to assign value to.

## Description

AssignToField copies the parameter value to the field instance. If Field is Nil, nothing happens.

## Errors

An EDatabaseError exception is raised if the field has an unsupported field type (for types ftCursor, ftArray, ftDataset,ftReference).

## See also

TParam.Assign |  | Assign one parameter instance to another
TParam.AssignField |  | Copy value from field instance
TParam.AssignFromField |  | Copy field type and value

Documentation generated on: Feb 26 2014